@ECHO OFF
CLS
ECHO  SMALL.BAT ͻ
ECHO                                                                     
ECHO  This batch file creates the smallest possible QuickBASIC           
ECHO  compatible library (LIB) and QuickLibrary (QLB).  This library     
ECHO  does NOT support MOUSE or Event-Loop control.                      
ECHO                                                                     
ECHO  To make use of this library, you must load BASIC *EXACTLY* as      
ECHO  follows:                                                           
ECHO                                                                     
ECHO         QBX /AH /L LITELIB.QLB                                      
ECHO                                                                     
ECHO ͼ

PAUSE
IF EXIST LITELIB.LIB DEL LITELIB.LIB

:makelib
LIB LITELIB +LITE.LIB+SMALL.LIB;
IF EXIST LITELIB.LIB GOTO makeqlb
ECHO 
ECHO Error creating LIB file
ECHO 
GOTO fail

:makeqlb
LINK /Q /NOE +LITELIB.LIB,,,BQLB45;
IF EXIST LITELIB.QLB GOTO success
ECHO 
ECHO Error creating QLB file
ECHO 
GOTO fail

:success
ECHO  REMEMBER ͻ
ECHO                                                                     
ECHO  To make use of this library, you must load QuickBASIC EXACTLY as   
ECHO  follows:                                                           
ECHO                                                                     
ECHO         QBX /AH /L LITELIB.QLB                                      
ECHO                                                                     
ECHO ͼ
ECHO Ŀ
ECHO  DONE.....                                                          
ECHO 
:fail
